#include "includes/raygui_helpers.hpp"
#include "includes/raygui/raygui.h"

void display_text_centered(std::string to_disp) {
	const char* to_disp_cstr = to_disp.c_str();
	Vector2 label_size = MeasureTextEx(GetFontDefault(), to_disp_cstr, GuiGetStyle(DEFAULT, TEXT_SIZE)+1, GuiGetStyle(DEFAULT, TEXT_SPACING)+1); // The '+1' is there to account for any rounding errors
	
	BeginDrawing();
		ClearBackground(BLACK);
		GuiLabel(Rectangle{(GetScreenWidth()/2) - (label_size.x/2), (GetScreenHeight()/2) - (label_size.y/2), label_size.x, label_size.y}, to_disp_cstr);
	EndDrawing();	
	return;
}
